org.eclipse.microprofile.openapi.tck

## Class FilterTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.AppTestBase
    - - org.eclipse.microprofile.openapi.tck.FilterTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class FilterTest
    extends AppTestBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`FilterTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testFilterAPIResponse(String type)`
`void` `testFilterCallback(String type)`
`void` `testFilterHeader(String type)`
`void` `testFilterLink(String type)`
`void` `testFilterOpenAPI(String type)`
`void` `testFilterOperation(String type)`
`void` `testFilterParameter(String type)`
`void` `testFilterPathItemAddOperation(String type)`
`void` `testFilterPathItemEnsureOrder(String type)`
`void` `testFilterRequestBody(String type)`
`void` `testFilterSchema(String type)`
`void` `testFilterSecurityScheme(String type)`
`void` `testFilterServer(String type)`
`void` `testFilterTag(String type)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, configureRestAssured, dereference, dereference, provide`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterTest

    public FilterTest()

### Method Detail

#### createDeployment

    @Deployment(name="airlinesFiltered",
                testable=false)
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testFilterServer

    public void testFilterServer(String type)

#### testFilterPathItemEnsureOrder

    public void testFilterPathItemEnsureOrder(String type)

#### testFilterPathItemAddOperation

    public void testFilterPathItemAddOperation(String type)

#### testFilterOperation

    public void testFilterOperation(String type)

#### testFilterOpenAPI

    public void testFilterOpenAPI(String type)

#### testFilterParameter

    public void testFilterParameter(String type)

#### testFilterRequestBody

    public void testFilterRequestBody(String type)

#### testFilterSecurityScheme

    public void testFilterSecurityScheme(String type)

#### testFilterLink

    public void testFilterLink(String type)

#### testFilterTag

    public void testFilterTag(String type)

#### testFilterHeader

    public void testFilterHeader(String type)

#### testFilterAPIResponse

    public void testFilterAPIResponse(String type)

#### testFilterSchema

    public void testFilterSchema(String type)

#### testFilterCallback

    public void testFilterCallback(String type)